# Get the shipping documents (labels)

> Receive the shipping documentation in a base64 string.

`GET https://services.parcelparcel.com/partners-api/v1/shipments/{shipmentId}/labels`

This endpoint allows you to get the labels from your shipments.

## Header

You need to add the following headers:

| Name         | Value                          |
| :----------- | :----------------------------- |
| Content-Type | application/json               |
| X-PP-API     | `{YourAPIKey}@{YourAPISecret}` |

Don't you have an API Key and API Secret yet? Check our [Authentication](https://www.parcelparcel.com/api-docs/authentication/) page and how to get them in under a minute.

## Body

There is no body needed; you just put the **shipmentId** in the URL, and you're done. You can retrieve this *shipmentId* after you've created a shipment through our [create shipment endpoint](https://www.parcelparcel.com/api-docs/create-shipment/).

For example:

```
https://services.parcelparcel.com/partners-api/v1/shipments/{shipmentId}/labels
```

## Response

The following response elements are returned:

| Name   | Value  | Comments                                                        |
| :----- | :----- | :-------------------------------------------------------------- |
| labels | base64 | The complete shipping documentation of your shipment in base64. |

### Example Response

```json
{
  "data": {
    "labels": "=== base64 encoded label ==="
  }
}
```

## Examples

Don't know how to test these requests? Check [our guide](https://www.parcelparcel.com/api-docs/postman-guide/).

### Request example - Get the labels of shipment 1588448

```bash cURL
curl --location --request GET 'https://services.parcelparcel.com/partners-api/v1/shipments/1588448/labels' \
--header 'X-PP-API: {YourAPIKey}@{YourAPISecret}' \
--header 'Content-Type: application/json'
```
```http HTTP
GET /partners-api/v1/shipments/1588448/labels HTTP/1.1
Host: services.parcelparcel.com
X-PP-API: {YourAPIKey}@{YourAPISecret}
Content-Type: application/json
```

Replace *1588448* with the `id` of your own shipment, and don't forget to change the **X-PP-API** element in the header.
